Skip to content
GET /unified/accounting/attachments

Query Parameters

Refer Specifying query parameters in Truto APIs

created_atstring · date-time

This represents the date when the attachment was created

1 supported
QuickBooks
supported
updated_atstring · date-time

This represents the date when the attachment was updated

2 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
entitystring

The entity to get the fields for

Possible values:
accountcontactcredit_noteinvoicepurchase_order
1 supported1 required
Xero
required
entity_idstring

The unique identifier for entity's id. For example if entity is contacts, use contact id.

1 supported1 required
Xero
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Attachments

idstring
required·

The unique identifier for attachment

3 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
companystring

The company the attachment belongs to

References: CompanyInfo → id
1 supported
Microsoft Dynamics 365 Business Central
supported
created_atstring · date-time

This represents the date when the attachment was created

1 supported
QuickBooks
supported
file_namestring

The name of the attachment

3 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
file_sizenumber

The size of the attachment

3 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
file_typestring

The MIME type of the attachment

3 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
file_urlstring

The url of the attachment

3 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
parentobject

The parent object of the attachment

2 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
2 properties
idstring

The unique identifier for the parent

typestring

The type of the parent

remote_dataRecord<string, any>

Raw data returned from the remote API call.

updated_atstring · date-time

This represents the date when the attachment was updated

2 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
curl -X GET 'https://api.truto.one/unified/accounting/attachments?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/accounting/attachments?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/attachments"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'accounting',
  'attachments',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "accounting",
        "attachments",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())